ScrepyDocs

Get a project overview

Returns the project, its latest completed crawl summary, and current on-page overview.

GET/projects/{project_uid}

Returns the project, its latest completed crawl summary, and current on-page overview.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a REST API key in Settings > Connected Apps. MCP credentials do not authenticate this API.

In: header

Path Parameters

project_uid*string

Accessible project UID. Discover it with GET /projects; do not guess it.

Match^[a-z0-9]{10}$

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/projects/string"
{  "data": {    "project": {      "uid": "string",      "name": "string",      "domain": "string",      "role": "owner",      "crawler_enabled": true,      "crawl_count": 0,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    },    "latest_completed_crawl": {      "crawl_uid": "string",      "status": "string",      "state": "string",      "status_label": "string",      "started_at": "2019-08-24T14:15:22Z",      "finished_at": "2019-08-24T14:15:22Z",      "last_synced_at": "2019-08-24T14:15:22Z",      "progress": {        "pages_crawled": 0,        "pages_total": 0,        "max_pages": 0,        "current_depth": 0      },      "health": {        "score": 0,        "confidence": 0,        "coverage": 0      },      "issues": {        "critical": 0,        "warnings": 0,        "notices": 0,        "total": 0      },      "totals": {        "pages": 0,        "indexable_pages": 0,        "noindex_pages": 0,        "links": 0,        "images": 0,        "unique_urls": 0      }    },    "on_page": {      "summary": {        "status": "string",        "finished_at": "2019-08-24T14:15:22Z",        "health_score": 0,        "health_score_version": 0,        "health_score_confidence": 0,        "health_score_coverage": 0,        "health_score_groups": [          null        ],        "health_score_delta": 0,        "pages_total": 0,        "critical_issues": 0,        "warnings": 0,        "notices": 0,        "issues_total": 0,        "avg_response_time_ms": 0,        "duration_seconds": 0,        "broken_links": 0,        "total_images_count": 0,        "missing_metadata": 0,        "issues_added": 0,        "issues_fixed": 0      },      "trends": [        null      ],      "groups": [        null      ],      "coverage": [        null      ]    }  }}